import javax.xml.parsers.SAXParserFactory;
import javax.xml.parsers.SAXParser;
import org.xml.sax.SAXException;
import org.xml.sax.ContentHandler;
import java.io.IOException; 
import java.io.File; 
import org.xml.sax.XMLReader;
public class Analyse {
  public static void main(String[] args) {
    if(args.length<1 || args.length>2) {
      System.err.println("usage: Analyse [-valid] xmlfile");
      System.exit(1);
    }
    boolean validation=args.length==2 && args[0].equals("-valid");
    System.out.println(validation);
    int file=args.length==2?1:0;
    try {
      // cration de l'usine 
      SAXParserFactory factory=SAXParserFactory.newInstance();
      factory.setNamespaceAware(true);
      factory.setValidating(validation);
      // cration de l'analyseur
      SAXParser parser=factory.newSAXParser();
      // ContentHandler
      ContentHandler handler=new PrintAttributes();
      XMLReader reader=parser.getXMLReader();
      reader.setContentHandler(handler);
      reader.setErrorHandler(new PrintError());
      try {
	// analyse du document
	reader.parse(args[file]);
      } catch (SAXException se) {
	se.printStackTrace();
      } catch (IOException ioe) {
	ioe.printStackTrace();
      }
    } catch (Exception e) {
      System.err.println(e);
    }
  }
}
