import javax.xml.parsers.SAXParserFactory;
import javax.xml.parsers.SAXParser;
import org.xml.sax.SAXException;
import org.xml.sax.ContentHandler;
import java.io.IOException; 
import java.io.File; 
import org.xml.sax.XMLReader;
public class AnalyseValid {
  public static void main(String[] args) {
    if(args.length!=1) {
      System.err.println("usage: AnalyseValid xmlfile");
      System.exit(1);
    }
    try {
      SAXParserFactory factory=SAXParserFactory.newInstance();
      factory.setNamespaceAware(true);
      // activation de la validation (DTD !)
      factory.setValidating(true);
      SAXParser parser=factory.newSAXParser();
      MemoGetText2 handler=new MemoGetText2();
      // on passe par SAX
      XMLReader reader=parser.getXMLReader();
      reader.setContentHandler(handler);
      // mise en place du gestionnaire d'erreur
      reader.setErrorHandler(new PrintError());
      try {
	// analyse (SAX)
	reader.parse(args[0]);
	System.out.println(handler.getText());
      } catch (SAXException se) {
	se.printStackTrace();
      } catch (IOException ioe) {
	ioe.printStackTrace();
      }
    } catch (Exception e) {
      System.err.println(e);
    }
  }
}
